# kubernetes.crossplane.io/v1alpha1 API Reference

Package v1alpha1 contains resources relating to Crossplane Kubernetes.

This API group contains the following Crossplane resources:

* [Provider](#Provider)

## Provider

A Provider configures a Kubernetes &#39;provider&#39;, i.e. a connection to a particular Kubernetes cluster using the referenced Secret.


Name | Type | Description
-----|------|------------
`apiVersion` | string | `kubernetes.crossplane.io/v1alpha1`
`kind` | string | `Provider`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [ProviderSpec](#ProviderSpec) | A ProviderSpec defines the desired state of a Provider.



## ProviderSpec

A ProviderSpec defines the desired state of a Provider.

Appears in:

* [Provider](#Provider)


Name | Type | Description
-----|------|------------
`credentialsSecretRef` | [v1alpha1.SecretReference](../crossplane-runtime/core-crossplane-io-v1alpha1.md#secretreference) | A Secret containing connection credentials for a Kubernetes cluster client that will be used to authenticate to this Kubernetes Provider. This will typically be the connection secret of a KubernetesCluster claim, or the secret created by a Kubernetes service account, but could also be manually configured to connect to a preexisting cluster.



This API documentation was generated by `crossdocs`.