# aws.crossplane.io/v1alpha3 API Reference

Package v1alpha3 contains core AWS resources.

This API group contains the following Crossplane resources:

* [Provider](#Provider)

## Provider

A Provider configures an AWS &#39;provider&#39;, i.e. a connection to a particular AWS account using a particular AWS IAM role.


Name | Type | Description
-----|------|------------
`apiVersion` | string | `aws.crossplane.io/v1alpha3`
`kind` | string | `Provider`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [ProviderSpec](#ProviderSpec) | A ProviderSpec defines the desired state of a Provider.



## ProviderSpec

A ProviderSpec defines the desired state of a Provider.

Appears in:

* [Provider](#Provider)


Name | Type | Description
-----|------|------------
`region` | string | Region for managed resources created using this AWS provider.


ProviderSpec supports all fields of:

* [v1alpha1.ProviderSpec](../crossplane-runtime/core-crossplane-io-v1alpha1.md#providerspec)


This API documentation was generated by `crossdocs`.