# gcp.crossplane.io/v1alpha3 API Reference

Package v1alpha3 contains the core resources of the Google Cloud Platform.

This API group contains the following Crossplane resources:

* [Provider](#Provider)

## Provider

A Provider configures a GCP &#39;provider&#39;, i.e. a connection to a particular GCP project using a particular GCP service account


Name | Type | Description
-----|------|------------
`apiVersion` | string | `gcp.crossplane.io/v1alpha3`
`kind` | string | `Provider`
`metadata` | [meta/v1.ObjectMeta](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.15/#objectmeta-v1-meta) | Kubernetes object metadata.
`spec` | [ProviderSpec](#ProviderSpec) | A ProviderSpec defines the desired state of a Provider.



## ProviderSpec

A ProviderSpec defines the desired state of a Provider.

Appears in:

* [Provider](#Provider)


Name | Type | Description
-----|------|------------
`projectID` | string | ProjectID is the project name (not numerical ID) of this GCP Provider.


ProviderSpec supports all fields of:

* [v1alpha1.ProviderSpec](../crossplane-runtime/core-crossplane-io-v1alpha1.md#providerspec)


This API documentation was generated by `crossdocs`.